| The Gaudi Framework v32r1 (f65d50dc)

Functions
Gaudi::Histos Namespace Reference

collection of simple utilities to deal with histograms More...

## Functions
GAUDI_API AIDA::IHistogram1D * | book (IHistogramSvc *svc, const std::string &path, const Gaudi::Histo1DDef &hist)
| helper function to book 1D-histogram More...
GAUDI_API AIDA::IHistogram1D * | book (IHistogramSvc *svc, const std::string &dir, const std::string &id, const Gaudi::Histo1DDef &hist)
| helper function to book 1D-histogram More...
GAUDI_API AIDA::IHistogram1D * | book (IHistogramSvc *svc, const std::string &dir, const int id, const Gaudi::Histo1DDef &hist)
| helper function to book 1D-histogram More...

## Detailed Description

collection of simple utilities to deal with histograms

Author
  Vanya BELYAEV ibely.nosp@m.aev@.nosp@m.physi.nosp@m.cs.s.nosp@m.yr.ed.nosp@m.u

Date
  2007-09-17

## Function Documentation

## ◆ book() [1/3]

AIDA::IHistogram1D * Gaudi::Histos::book | ( | IHistogramSvc * | svc,
|  | const std::string & | path,
|  | const Gaudi::Histo1DDef & | hist
| ) |  |

helper function to book 1D-histogram

Parameters

  svc | pointer to Histogram Service
  path | full path in Histogram Data Store
  hist | histogram desctription

Definition at line 87 of file HistoDef.cpp.

87 {
88 return svc ? svc->book( path, hist.title(), hist.bins(), hist.lowEdge(), hist.highEdge() ) : nullptr;
89 }
GaudiPython.HistoUtils.path
path
Definition: HistoUtils.py:932
Gaudi::Histo1DDef::title
const std::string & title() const
get the title
Definition: HistoDef.h:59
Gaudi::Histo1DDef::bins
int bins() const
get the number of bins
Definition: HistoDef.h:57
IHistogramSvc::book
virtual AIDA::IHistogram1D * book(const std::string &fullPath, const std::string &title, int binsX, double lowX, double highX)=0
Book histogram and register it with the histogram data store.
Gaudi::Histo1DDef::highEdge
double highEdge() const
get the high edge
Definition: HistoDef.h:55
Gaudi::Histo1DDef::lowEdge
double lowEdge() const
get the low edge
Definition: HistoDef.h:53

## ◆ book() [2/3]

AIDA::IHistogram1D * Gaudi::Histos::book | ( | IHistogramSvc * | svc,
|  | const std::string & | dir,
|  | const std::string & | id,
|  | const Gaudi::Histo1DDef & | hist
| ) |  |

helper function to book 1D-histogram

Parameters

  svc | pointer to Histogram Service
  dir | directory path in Histogram Data Store
  id | historgam identifier
  hist | histogram desctription

Definition at line 98 of file HistoDef.cpp.

99 {
100 return svc ? svc->book( dir, id, hist.title(), hist.bins(), hist.lowEdge(), hist.highEdge() ) : nullptr;
101 }
Gaudi::Histo1DDef::title
const std::string & title() const
get the title
Definition: HistoDef.h:59
Gaudi::Histo1DDef::bins
int bins() const
get the number of bins
Definition: HistoDef.h:57
IHistogramSvc::book
virtual AIDA::IHistogram1D * book(const std::string &fullPath, const std::string &title, int binsX, double lowX, double highX)=0
Book histogram and register it with the histogram data store.
Gaudi::Histo1DDef::highEdge
double highEdge() const
get the high edge
Definition: HistoDef.h:55
Gaudi::Histo1DDef::lowEdge
double lowEdge() const
get the low edge
Definition: HistoDef.h:53

## ◆ book() [3/3]

AIDA::IHistogram1D * Gaudi::Histos::book | ( | IHistogramSvc * | svc,
|  | const std::string & | dir,
|  | const int | id,
|  | const Gaudi::Histo1DDef & | hist
| ) |  |

helper function to book 1D-histogram

Parameters

  svc | pointer to Histogram Service
  dir | directory path in Histogram Data Store
  id | historgam identifier
  hist | histogram desctription

Definition at line 110 of file HistoDef.cpp.

111 {
112 return svc ? svc->book( dir, id, hist.title(), hist.bins(), hist.lowEdge(), hist.highEdge() ) : nullptr;
113 }
Gaudi::Histo1DDef::title
const std::string & title() const
get the title
Definition: HistoDef.h:59
Gaudi::Histo1DDef::bins
int bins() const
get the number of bins
Definition: HistoDef.h:57
IHistogramSvc::book
virtual AIDA::IHistogram1D * book(const std::string &fullPath, const std::string &title, int binsX, double lowX, double highX)=0
Book histogram and register it with the histogram data store.
Gaudi::Histo1DDef::highEdge
double highEdge() const
get the high edge
Definition: HistoDef.h:55
Gaudi::Histo1DDef::lowEdge
double lowEdge() const
get the low edge
Definition: HistoDef.h:53